Segmentation fault on openSUSE Leap 15.0

I currently hit this error on every zypper command. This script basically brute forces repos:


echo
  echo "zypper dup --auto-agree-with-licenses --allow-vendor-change -y --download-only"
  echo
iteration=0
  rc=-1
  while [ $rc -ne 0 ]; do
    zypper dup --auto-agree-with-licenses --allow-vendor-change -y --download-only
    rc=$?
    echo
    echo "   Count: $iteration"
    echo "Ret Code: $rc"
    echo
    sleep 2
    ((iteration++))
 done
 echo